summaryrefslogtreecommitdiff
path: root/tests/mv/into-self.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-08-30 14:13:12 +0200
committerJim Meyering <meyering@redhat.com>2012-08-30 18:55:59 +0200
commit9eb4c31eb78c28dd9f72d1cbb940270311be343c (patch)
treeea3078bc1b002a9f948ed41445ca32318002a1d3 /tests/mv/into-self.sh
parent00f5ba15dd91a3d9780fe1fbd06a4df436ae6714 (diff)
downloadcoreutils-9eb4c31eb78c28dd9f72d1cbb940270311be343c.tar.xz
tests: add .sh and .pl suffixes to shell and perl tests, respectively
Not only this shrinks the size of the generated Makefile (from > 6300 lines to ~3000), but will allow further simplifications in future changes. * tests/Makefile.am (TEST_EXTENSIONS): Add '.sh' and '.pl'. (PL_LOG_COMPILER, SH_LOG_COMPILER): New, still defined simply to $(LOG_COMPILER) for the time being. (TESTS, root_tests): Adjust as described. * All tests: Rename as described.
Diffstat (limited to 'tests/mv/into-self.sh')
-rwxr-xr-xtests/mv/into-self.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/mv/into-self.sh b/tests/mv/into-self.sh
new file mode 100755
index 000000000..231d69c2c
--- /dev/null
+++ b/tests/mv/into-self.sh
@@ -0,0 +1,53 @@
+#! /bin/sh
+# Demonstrate how mv fails when it tries to move a directory into itself.
+
+# Copyright (C) 1998-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ mv
+
+dir=toself-dir
+file=toself-file
+
+rm -rf $dir $file || framework_failure_
+mkdir -p $dir/a/b || framework_failure_
+touch $file || framework_failure_
+
+
+# This mv command should fail.
+mv $dir $file $dir > out 2>&1 && fail=1
+
+sed \
+ -e "s,mv:,XXX:," \
+ -e "s,$dir,SRC," \
+ -e "s,$dir/$dir,DEST," \
+ out > out2
+
+cat > exp <<\EOF
+XXX: cannot move 'SRC' to a subdirectory of itself, 'DEST'
+EOF
+
+compare exp out2 || fail=1
+
+# Make sure the file is gone.
+test -f $file && fail=1
+# Make sure the directory is *not* moved.
+test -d $dir || fail=1
+test -d $dir/$dir && fail=1
+# Make sure the file has been moved to the right place.
+test -f $dir/$file || fail=1
+
+Exit $fail